Bug 3034 - Hang when close Preference for current account
Summary: Hang when close Preference for current account
Status: RESOLVED INVALID
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.9.2
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2013-12-05 02:45 CET by Lee Pak Hong
Modified: 2014-07-28 09:53 CEST (History)
0 users

See Also:


Attachments

Description Lee Pak Hong 2013-12-05 02:45:23 CET
I build claws-mail-3.9.2 from source at VectorLinux 7.1 and encounter hang when I click Cancel/Ok button on Preferences for current account UI. No problem on other UI so far.
I build claws-mail with below config

  --enable-crash-dialog \
  --enable-static=no \
  --disable-maemo \
  --disable-generic-umpc \

If I run claws-mail --debug from terminal with below message

vector:/~
hata_ph:$ claws-mail --debug
claws.c:102:Starting Claws Mail version Claws Mail 3.9.2
utils.c:1874:using default rc_dir /home/hata_ph/.claws-mail
main.c:2336:Using control socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:2400:Opening socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:871:runtime GTK+ 2.24.20 / GLib 2.37.6
main.c:879:buildtime GTK+ 2.24.13 / GLib 2.37.6
main.c:888:Compiled-in features:
main.c:899: aspell
main.c:905: gnutls
main.c:911: ipv6
main.c:917: iconv
main.c:923: jpilot
main.c:929: ldap
main.c:935: libetpan 1.0
main.c:941: libsm
main.c:947: NetworkManager
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/clawsrc'
prefs_gtk.c:995:new section 'Common'
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/folderitemrc'
prefs_gtk.c:974:cache: /home/hata_ph/.claws-mail/folderitemrc: No such file or directory
prefs_gtk.c:1074:destroying cache
main.c:2940:/dev/mem_notify not available (No such file or directory)
hooks.c:71:registed new hook for 'folder_item_update' as id 1
hooks.c:71:registed new hook for 'folder_update' as id 1
current dir: /home/hata_ph/.claws-mail
current dir: /home/hata_ph
folder.c:124:registering folder class mh
folder.c:124:registering folder class imap
folder.c:124:registering folder class news
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Common]
prefs_gtk.c:148:Finished reading configuration.
prefs_themes.c:372:Creating preferences for themes...
stock_pixmap.c:499:dir /home/hata_ph/.claws-mail/themes not found, skipping theme scan
stock_pixmap.c:499:dir /usr/share/claws-mail/themes not found, skipping theme scan
prefs_actions.c:439:Reading actions configurations...
prefs_display_header.c:429:Reading configuration for displaying headers...
addressbook.c:4154:Reading address index...
addressbook.c:4203:done.
mainwindow.c:1604:Creating main window...
toolbar.c:720:read Toolbar Configuration from toolbar_main.xml
folderview.c:570:Creating folder view...
folderview.c:412:creating tree...
hooks.c:71:registed new hook for 'folder_update' as id 2
hooks.c:71:registed new hook for 'folder_item_update' as id 2
summaryview.c:527:Creating summary view...
hooks.c:71:registed new hook for 'msginfo_update' as id 1
hooks.c:71:registed new hook for 'folder_item_update' as id 3
hooks.c:71:registed new hook for 'folder_update' as id 3
messageview.c:405:Creating message view...
headerview.c:84:Creating header view...
noticeview.c:73:Creating notice view...
mimeview.c:279:Creating MIME view...
noticeview.c:73:Creating notice view...
textview.c:294:Creating text view...
hooks.c:71:registed new hook for 'msginfo_update' as id 2
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'log_append_text' as id 1
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'debug_append_text' as id 1
** Message: filtering log disabled

mainwindow.c:2276:done.
mainwindow.c:3805:Setting widgets... mainwindow.c:4010:done.
hooks.c:71:registed new hook for 'sslcert_ask' as id 1
hooks.c:71:registed new hook for 'progressindicator_hooklist' as id 1
hooks.c:71:registed new hook for 'sslcert_get_client_cert' as id 1
hooks.c:71:registed new hook for 'sslcert_get_password' as id 1
account.c:201:Reading all config for each account...
account.c:216:Found label: Account: 1
codeconv.c:1486:current locale: en_US
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_customheader.c:333:Reading custom header configuration...
folderview.c:325:setting titles...
folderview.c:732:called inc_lock (lock count 1)
folderview.c:733:Setting folder info...
folderview.c:759:called inc_unlock (lock count 0)
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1321:empty folder ((nil) (null) (nil) 0)

summaryview.c:1333:called inc_unlock (lock count 0)
summaryview.c:1334:TIMING summary_show : 0s000ms
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
folder.c:1219:Counting total number of messages...
main.c:997:The name com.google.code.Awn was not provided by any .service files
folderview.c:732:called inc_lock (lock count 1)
folderview.c:733:Setting folder info...
msgcache.c:603:	Reading swapped message cache from /home/hata_ph/Mail/queue/.claws_cache...
msgcache.c:619:using Noop Converter
msgcache.c:791:done. (0 items read)
msgcache.c:792:Cache size: 0 messages, 0 bytes
msgcache.c:822:reading swapped mark file.
msgcache.c:883:error reading cache mark from /home/hata_ph/Mail/queue/.claws_mark
msgcache.c:911:reading swapped tags file.
folder.c:2716:TIMING folder_item_read_cache : 0s000ms
folder.c:2577:Total cache memory usage: 0
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:759:called inc_unlock (lock count 0)
folderview.c:732:called inc_lock (lock count 1)
folderview.c:733:Setting folder info...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:759:called inc_unlock (lock count 0)
main.c:1513:Claws Mail crashed, checking for new messages in local folders
folderview.c:1158:called inc_lock (lock count 1)
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1386235440 <= 1386235440)
folder.c:2158:Scanning folder inbox for cache changes.
mh.c:293:mh_get_num_list(): Scanning inbox ...
current dir: /home/hata_ph/Mail/inbox
mh.c:1398:MH: forced mtime of inbox to 1386235440
msgcache.c:603:	Reading swapped message cache from /home/hata_ph/Mail/inbox/.claws_cache...
msgcache.c:619:using Noop Converter
msgcache.c:791:done. (1 items read)
msgcache.c:792:Cache size: 1 messages, 273 bytes
msgcache.c:822:reading swapped mark file.
msgcache.c:883:error reading cache mark from /home/hata_ph/Mail/inbox/.claws_mark
msgcache.c:911:reading swapped tags file.
folder.c:2716:TIMING folder_item_read_cache : 0s000ms
folder.c:2577:Total cache memory usage: 273
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:1219:Counting total number of messages...
main.c:997:The name com.google.code.Awn was not provided by any .service files
mh.c:235:MH scan not required: /home/hata_ph/Mail/sent (1386179613 <= 1386179613)
mh.c:235:MH scan not required: /home/hata_ph/Mail/draft (1386179613 <= 1386179613)
mh.c:235:MH scan not required: /home/hata_ph/Mail/queue (1386235440 <= 1386235440)
mh.c:235:MH scan not required: /home/hata_ph/Mail/trash (1386179613 <= 1386179613)
folderview.c:1231:called inc_unlock (lock count 0)
folder.c:2577:Total cache memory usage: 273
folder.c:2582:Trying to free cache memory
folder.c:2535:Cache unused time: 0 (Expire time: 0)
folder.c:2535:Cache unused time: 0 (Expire time: 0)
prefs_gtk.c:1071:no cache
main.c:1719:TIMING main startup: 0s320ms
prefs_account.c:3675:Opening account preferences window...
prefs_account.c:3677:called inc_lock (lock count 1)
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
prefswindow.c:711:0.000000
prefswindow.c:177:prefs window closed
prefs_account.c:3699:called inc_unlock (lock count 0)
claws.c:102:Starting Claws Mail version Claws Mail 3.9.2
utils.c:1874:using default rc_dir /home/hata_ph/.claws-mail
main.c:2336:Using control socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:2430:another Claws Mail instance is already running.

** (process:2438): WARNING **: Socket IO timeout


** (process:2438): WARNING **: [09:41:15] Socket IO timeout.

Claws Mail is already running on display .

Following the debug guide...I get this

hata_ph:$ gdb claws-mail
GNU gdb (GDB) 7.6.1
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-vector-linux".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/claws-mail...(no debugging symbols found)...done.
(gdb) run --debug
Starting program: /usr/bin/claws-mail --debug
warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib/libgobject-2.0.so.0.3706.0-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
claws.c:102:Starting Claws Mail version Claws Mail 3.9.2
utils.c:1874:using default rc_dir /home/hata_ph/.claws-mail
main.c:2336:Using control socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:2400:Opening socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:871:runtime GTK+ 2.24.13 / GLib 2.37.6
main.c:879:buildtime GTK+ 2.24.13 / GLib 2.37.6
main.c:888:Compiled-in features:
main.c:899: aspell
main.c:905: gnutls
main.c:911: ipv6
main.c:917: iconv
main.c:923: jpilot
main.c:929: ldap
main.c:935: libetpan 1.0
main.c:941: libsm
main.c:947: NetworkManager
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/clawsrc'
prefs_gtk.c:995:new section 'Common'
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/folderitemrc'
prefs_gtk.c:974:cache: /home/hata_ph/.claws-mail/folderitemrc: No such file or directory
prefs_gtk.c:1074:destroying cache
main.c:2940:/dev/mem_notify not available (No such file or directory)
hooks.c:71:registed new hook for 'folder_item_update' as id 1
hooks.c:71:registed new hook for 'folder_update' as id 1
current dir: /home/hata_ph/.claws-mail
current dir: /home/hata_ph
folder.c:124:registering folder class mh
folder.c:124:registering folder class imap
folder.c:124:registering folder class news
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Common]
prefs_gtk.c:148:Finished reading configuration.
prefs_themes.c:372:Creating preferences for themes...
stock_pixmap.c:499:dir /home/hata_ph/.claws-mail/themes not found, skipping theme scan
stock_pixmap.c:499:dir /usr/share/claws-mail/themes not found, skipping theme scan
prefs_actions.c:439:Reading actions configurations...
prefs_display_header.c:429:Reading configuration for displaying headers...
addressbook.c:4154:Reading address index...
addressbook.c:4203:done.

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-button-images after class was initialised
mainwindow.c:1604:Creating main window...

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-bar-popup-delay after class was initialised

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-can-change-accels after class was initialised

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-popup-delay after class was initialised

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-popdown-delay after class was initialised

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-label-select-on-focus after class was initialised

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-images after class was initialised
toolbar.c:720:read Toolbar Configuration from toolbar_main.xml
folderview.c:570:Creating folder view...

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-scrolled-window-placement after class was initialised
folderview.c:412:creating tree...
hooks.c:71:registed new hook for 'folder_update' as id 2
hooks.c:71:registed new hook for 'folder_item_update' as id 2
summaryview.c:527:Creating summary view...

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-entry-select-on-focus after class was initialised

(claws-mail:1552): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-entry-password-hint-timeout after class was initialised
hooks.c:71:registed new hook for 'msginfo_update' as id 1
hooks.c:71:registed new hook for 'folder_item_update' as id 3
hooks.c:71:registed new hook for 'folder_update' as id 3
messageview.c:405:Creating message view...
headerview.c:84:Creating header view...
noticeview.c:73:Creating notice view...
mimeview.c:279:Creating MIME view...
noticeview.c:73:Creating notice view...
textview.c:294:Creating text view...
hooks.c:71:registed new hook for 'msginfo_update' as id 2
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'log_append_text' as id 1
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'debug_append_text' as id 1
** Message: filtering log disabled

mainwindow.c:2276:done.
mainwindow.c:3805:Setting widgets... mainwindow.c:4010:done.
hooks.c:71:registed new hook for 'sslcert_ask' as id 1
hooks.c:71:registed new hook for 'progressindicator_hooklist' as id 1
hooks.c:71:registed new hook for 'sslcert_get_client_cert' as id 1
hooks.c:71:registed new hook for 'sslcert_get_password' as id 1
account.c:201:Reading all config for each account...
account.c:216:Found label: Account: 1
codeconv.c:1486:current locale: en_US
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_customheader.c:333:Reading custom header configuration...
folderview.c:325:setting titles...
folderview.c:732:called inc_lock (lock count 1)
folderview.c:733:Setting folder info...
folderview.c:759:called inc_unlock (lock count 0)
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1321:empty folder ((nil) (null) (nil) 0)

summaryview.c:1333:called inc_unlock (lock count 0)
summaryview.c:1334:TIMING summary_show : 0s000ms
codeconv.c:1486:current locale: en_US
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
folder.c:1219:Counting total number of messages...
main.c:997:The name com.google.code.Awn was not provided by any .service files
folderview.c:732:called inc_lock (lock count 1)
folderview.c:733:Setting folder info...
msgcache.c:603:	Reading swapped message cache from /home/hata_ph/.claws-mail/imapcache/hfatimah.no-ip.org/lee@hfatimah.no-ip.org/Queue/.claws_cache...
msgcache.c:619:using Noop Converter
msgcache.c:791:done. (0 items read)
msgcache.c:792:Cache size: 0 messages, 0 bytes
msgcache.c:822:reading swapped mark file.
msgcache.c:883:error reading cache mark from /home/hata_ph/.claws-mail/imapcache/hfatimah.no-ip.org/lee@hfatimah.no-ip.org/Queue/.claws_mark
msgcache.c:911:reading swapped tags file.
folder.c:2716:TIMING folder_item_read_cache : 0s004ms
folder.c:2577:Total cache memory usage: 0
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:759:called inc_unlock (lock count 0)
folderview.c:732:called inc_lock (lock count 1)
folderview.c:733:Setting folder info...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:759:called inc_unlock (lock count 0)
main.c:1513:Claws Mail crashed, checking for new messages in local folders
folderview.c:1158:called inc_lock (lock count 1)
folderview.c:1231:called inc_unlock (lock count 0)
folder.c:2577:Total cache memory usage: 0
prefs_gtk.c:1071:no cache
main.c:1719:TIMING main startup: 0s360ms
prefs_account.c:3675:Opening account preferences window...
prefs_account.c:3677:called inc_lock (lock count 1)
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
prefswindow.c:711:0.000000
matcher.c:2503:Writing matcher configuration...
matcher.c:2503:Writing matcher configuration...
prefswindow.c:177:prefs window closed
prefs_account.c:3699:called inc_unlock (lock count 0)

Program received signal SIGSEGV, Segmentation fault.
0xb67fc75a in gtk_widget_grab_focus () from /usr/lib/libgtk-x11-2.0.so.0
(gdb) thread apply all bt

Thread 1 (Thread 0xb5640840 (LWP 1552)):
#0  0xb67fc75a in gtk_widget_grab_focus () from /usr/lib/libgtk-x11-2.0.so.0
#1  0x08088791 in account_edit_focus ()
#2  0x0808a041 in account_open ()
#3  0xb5e4cb4f in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#4  0xb5e4ae66 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#5  0xb5e5ebd7 in ?? () from /usr/lib/libgobject-2.0.so.0
#6  0xb5e66feb in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#7  0xb5e671f3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#8  0xb663644e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#9  0xb66367b4 in gtk_action_activate () from /usr/lib/libgtk-x11-2.0.so.0
#10 0xb5e4cb9a in g_cclosure_marshal_VOID__VOIDv ()
   from /usr/lib/libgobject-2.0.so.0
#11 0xb5e49797 in ?? () from /usr/lib/libgobject-2.0.so.0
#12 0xb5e4b111 in ?? () from /usr/lib/libgobject-2.0.so.0
#13 0xb5e66ab0 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#14 0xb5e671f3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#15 0xb67fc542 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#16 0xb670514d in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#17 0xb67054e9 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#18 0xb66fc9e1 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#19 0xb66f332a in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#20 0xb5e49cdd in ?? () from /usr/lib/libgobject-2.0.so.0
#21 0xb5e4ae66 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#22 0xb5e5e836 in ?? () from /usr/lib/libgobject-2.0.so.0
#23 0xb5e666e1 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#24 0xb5e671f3 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#25 0xb67fa5a3 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#26 0xb66f1b2c in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#27 0xb66f1fd0 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#28 0xb658d288 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#29 0xb5d54c73 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#30 0xb5d55010 in ?? () from /usr/lib/libglib-2.0.so.0
#31 0xb5d554eb in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#32 0xb66f0e70 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#33 0x080856ef in main ()
(gdb)
Comment 1 Paul 2014-01-09 07:17:15 CET
Is that still the case with the latest release, and built against newer GTK+ and/or GLib?
Comment 2 Lee Pak Hong 2014-01-09 07:37:09 CET
Yes...build claws-mail-3.9.3 with gtk+2-2.24.13, glib-1.2.10 and glib2-2.37.6 but still encounter hang when i click Preferences for current account.
You can refer to my build log at 

http://vlcore.vectorlinux.com/buildbot/builders/claws-mail/builds/8


vector:/~
hata_ph:$ claws-mail --debug
claws.c:102:Starting Claws Mail version Claws Mail 3.9.3
utils.c:1906:using default rc_dir /home/hata_ph/.claws-mail
main.c:2163:Using control socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:2227:Opening socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:766:runtime GTK+ 2.24.13 / GLib 2.37.6
main.c:774:buildtime GTK+ 2.24.13 / GLib 2.37.6
main.c:783:Compiled-in features:
main.c:794: Enchant
main.c:800: GnuTLS
main.c:806: IPv6
main.c:812: iconv
main.c:824: LDAP
main.c:830: libetpan 1.0
main.c:836: libSM
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/clawsrc'
prefs_gtk.c:995:new section 'Common'
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/folderitemrc'
prefs_gtk.c:974:cache: /home/hata_ph/.claws-mail/folderitemrc: No such file or directory
prefs_gtk.c:1074:destroying cache
main.c:2767:/dev/mem_notify not available (No such file or directory)
hooks.c:71:registed new hook for 'folder_item_update' as id 1
hooks.c:71:registed new hook for 'folder_update' as id 1
current dir: /home/hata_ph/.claws-mail
current dir: /home/hata_ph
folder.c:123:registering folder class mh
folder.c:123:registering folder class imap
folder.c:123:registering folder class news
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Common]
prefs_gtk.c:148:Finished reading configuration.
prefs_themes.c:372:Creating preferences for themes...
stock_pixmap.c:499:dir /home/hata_ph/.claws-mail/themes not found, skipping theme scan
stock_pixmap.c:499:dir /usr/share/claws-mail/themes not found, skipping theme scan
prefs_actions.c:443:Reading actions configurations...
prefs_display_header.c:429:Reading configuration for displaying headers...
addressbook.c:4143:Reading address index...
addressbook.c:4192:done.

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-button-images after class was initialised
mainwindow.c:1443:Creating main window...

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-bar-popup-delay after class was initialised

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-can-change-accels after class was initialised

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-popup-delay after class was initialised

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-popdown-delay after class was initialised

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-label-select-on-focus after class was initialised

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-images after class was initialised
toolbar.c:721:read Toolbar Configuration from toolbar_main.xml
folderview.c:563:Creating folder view...

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-scrolled-window-placement after class was initialised
folderview.c:412:creating tree...
hooks.c:71:registed new hook for 'folder_update' as id 2
hooks.c:71:registed new hook for 'folder_item_update' as id 2
summaryview.c:527:Creating summary view...

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-entry-select-on-focus after class was initialised

(claws-mail:2405): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-entry-password-hint-timeout after class was initialised
hooks.c:71:registed new hook for 'msginfo_update' as id 1
hooks.c:71:registed new hook for 'folder_item_update' as id 3
hooks.c:71:registed new hook for 'folder_update' as id 3
messageview.c:403:Creating message view...
headerview.c:84:Creating header view...
noticeview.c:73:Creating notice view...
mimeview.c:270:Creating MIME view...
noticeview.c:73:Creating notice view...
textview.c:294:Creating text view...
hooks.c:71:registed new hook for 'msginfo_update' as id 2
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'log_append_text' as id 1
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'debug_append_text' as id 1
** Message: filtering log disabled

mainwindow.c:2099:done.
mainwindow.c:3625:Setting widgets... mainwindow.c:3830:done.
hooks.c:71:registed new hook for 'sslcert_ask' as id 1
hooks.c:71:registed new hook for 'progressindicator_hooklist' as id 1
hooks.c:71:registed new hook for 'sslcert_get_client_cert' as id 1
hooks.c:71:registed new hook for 'sslcert_get_password' as id 1
account.c:200:Reading all config for each account...
account.c:215:Found label: Account: 1
codeconv.c:1486:current locale: en_US
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_customheader.c:333:Reading custom header configuration...
folderview.c:325:setting titles...
folderview.c:725:called inc_lock (lock count 1)
folderview.c:726:Setting folder info...
folderview.c:752:called inc_unlock (lock count 0)
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1321:empty folder ((nil) (null) (nil) 0)

summaryview.c:1333:called inc_unlock (lock count 0)
summaryview.c:1334:TIMING summary_show : 0s000ms
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
folderview.c:725:called inc_lock (lock count 1)
folderview.c:726:Setting folder info...
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_cache' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_cache' not found
folder.c:2164:Scanning folder queue for cache changes.
mh.c:293:mh_get_num_list(): Scanning queue ...
current dir: /home/hata_ph/Mail/queue
mh.c:1398:MH: forced mtime of queue to 1389277458
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_mark' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_mark' not found
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/queue/.claws_tags' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/queue/.claws_tags' not found
folder.c:2722:TIMING folder_item_read_cache : 0s000ms
folder.c:2583:Total cache memory usage: 0
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:752:called inc_unlock (lock count 0)
folderview.c:725:called inc_lock (lock count 1)
folderview.c:726:Setting folder info...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:752:called inc_unlock (lock count 0)
main.c:1373:Claws Mail crashed, checking for new messages in local folders
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:1151:called inc_lock (lock count 1)
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1389277458 <= 1389277458)
folder.c:2164:Scanning folder inbox for cache changes.
mh.c:293:mh_get_num_list(): Scanning inbox ...
current dir: /home/hata_ph/Mail/inbox
mh.c:1398:MH: forced mtime of inbox to 1389277458
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_cache' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_cache' not found
folder.c:2164:Scanning folder inbox for cache changes.
mh.c:293:mh_get_num_list(): Scanning inbox ...
mh.c:1398:MH: forced mtime of inbox to 1389277458
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:2250:Remembered message 1 for fetching
msgcache.c:173:Cache size: 1 messages, 273 bytes
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_mark' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_mark' not found
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
procmsg.c:2050:Unsetting flags for message 1 in folder inbox
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/inbox/.claws_tags' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/inbox/.claws_tags' not found
folder.c:2722:TIMING folder_item_read_cache : 0s006ms
folder.c:2583:Total cache memory usage: 273
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
mh.c:235:MH scan not required: /home/hata_ph/Mail/sent (1389277458 <= 1389277458)
mh.c:235:MH scan not required: /home/hata_ph/Mail/draft (1389277458 <= 1389277458)
mh.c:235:MH scan not required: /home/hata_ph/Mail/queue (1389277458 <= 1389277458)
mh.c:235:MH scan not required: /home/hata_ph/Mail/trash (1389277458 <= 1389277458)
folderview.c:1224:called inc_unlock (lock count 0)
folder.c:2583:Total cache memory usage: 273
folder.c:2588:Trying to free cache memory
folder.c:2541:Cache unused time: 0 (Expire time: 0)
folder.c:2541:Cache unused time: 0 (Expire time: 0)
prefs_gtk.c:1071:no cache
main.c:1549:TIMING main startup: 0s274ms
prefs_account.c:3675:Opening account preferences window...
prefs_account.c:3677:called inc_lock (lock count 1)
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
prefswindow.c:703:0.000000
prefswindow.c:177:prefs window closed
prefs_account.c:3699:called inc_unlock (lock count 0)
claws.c:102:Starting Claws Mail version Claws Mail 3.9.3
utils.c:1906:using default rc_dir /home/hata_ph/.claws-mail
main.c:2163:Using control socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:2257:another Claws Mail instance is already running.

** (process:2406): WARNING **: Socket IO timeout


** (process:2406): WARNING **: [14:27:29] Socket IO timeout.

Claws Mail is already running on display .


vector:/~
hata_ph:$ gdb claws-mail
GNU gdb (GDB) 7.6.1
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-vector-linux".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/claws-mail...(no debugging symbols found)...done.
(gdb) run --debug
Starting program: /usr/bin/claws-mail --debug
warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/share/gdb/auto-load/usr/lib/libgobject-2.0.so.0.3706.0-gdb.py", line 9, in <module>
    from gobject import register
  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>
    import gdb.backtrace
ImportError: No module named backtrace
claws.c:102:Starting Claws Mail version Claws Mail 3.9.3
utils.c:1906:using default rc_dir /home/hata_ph/.claws-mail
main.c:2163:Using control socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:2227:Opening socket /tmp/claws-mail-1000/fdcaea3c6d9221e4d30fd5d1e585af2e
main.c:766:runtime GTK+ 2.24.13 / GLib 2.37.6
main.c:774:buildtime GTK+ 2.24.13 / GLib 2.37.6
main.c:783:Compiled-in features:
main.c:794: Enchant
main.c:800: GnuTLS
main.c:806: IPv6
main.c:812: iconv
main.c:824: LDAP
main.c:830: libetpan 1.0
main.c:836: libSM
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/clawsrc'
prefs_gtk.c:995:new section 'Common'
prefs_gtk.c:1036:new file '/home/hata_ph/.claws-mail/folderitemrc'
prefs_gtk.c:974:cache: /home/hata_ph/.claws-mail/folderitemrc: No such file or directory
prefs_gtk.c:1074:destroying cache
main.c:2767:/dev/mem_notify not available (No such file or directory)
hooks.c:71:registed new hook for 'folder_item_update' as id 1
hooks.c:71:registed new hook for 'folder_update' as id 1
current dir: /home/hata_ph/.claws-mail
current dir: /home/hata_ph
folder.c:123:registering folder class mh
folder.c:123:registering folder class imap
folder.c:123:registering folder class news
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Common]
prefs_gtk.c:148:Finished reading configuration.
prefs_themes.c:372:Creating preferences for themes...
stock_pixmap.c:499:dir /home/hata_ph/.claws-mail/themes not found, skipping theme scan
stock_pixmap.c:499:dir /usr/share/claws-mail/themes not found, skipping theme scan
prefs_actions.c:443:Reading actions configurations...
prefs_display_header.c:429:Reading configuration for displaying headers...
addressbook.c:4143:Reading address index...
addressbook.c:4192:done.

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-button-images after class was initialised
mainwindow.c:1443:Creating main window...

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-bar-popup-delay after class was initialised

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-can-change-accels after class was initialised

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-popup-delay after class was initialised

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-popdown-delay after class was initialised

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-label-select-on-focus after class was initialised

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-menu-images after class was initialised
toolbar.c:721:read Toolbar Configuration from toolbar_main.xml
folderview.c:563:Creating folder view...

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-scrolled-window-placement after class was initialised
folderview.c:412:creating tree...
hooks.c:71:registed new hook for 'folder_update' as id 2
hooks.c:71:registed new hook for 'folder_item_update' as id 2
summaryview.c:527:Creating summary view...

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-entry-select-on-focus after class was initialised

(claws-mail:2429): GLib-GObject-WARNING **: Attempt to add property GtkSettings::gtk-entry-password-hint-timeout after class was initialised
hooks.c:71:registed new hook for 'msginfo_update' as id 1
hooks.c:71:registed new hook for 'folder_item_update' as id 3
hooks.c:71:registed new hook for 'folder_update' as id 3
messageview.c:403:Creating message view...
headerview.c:84:Creating header view...
noticeview.c:73:Creating notice view...
mimeview.c:270:Creating MIME view...
noticeview.c:73:Creating notice view...
textview.c:294:Creating text view...
hooks.c:71:registed new hook for 'msginfo_update' as id 2
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'log_append_text' as id 1
logwindow.c:88:Creating log window...
hooks.c:71:registed new hook for 'debug_append_text' as id 1
** Message: filtering log disabled

mainwindow.c:2099:done.
mainwindow.c:3625:Setting widgets... mainwindow.c:3830:done.
hooks.c:71:registed new hook for 'sslcert_ask' as id 1
hooks.c:71:registed new hook for 'progressindicator_hooklist' as id 1
hooks.c:71:registed new hook for 'sslcert_get_client_cert' as id 1
hooks.c:71:registed new hook for 'sslcert_get_password' as id 1
account.c:200:Reading all config for each account...
account.c:215:Found label: Account: 1
codeconv.c:1486:current locale: en_US
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:123:Found [Account: 1]
prefs_gtk.c:148:Finished reading configuration.
prefs_customheader.c:333:Reading custom header configuration...
folderview.c:325:setting titles...
folderview.c:725:called inc_lock (lock count 1)
folderview.c:726:Setting folder info...
folderview.c:752:called inc_unlock (lock count 0)
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1321:empty folder ((nil) (null) (nil) 0)

summaryview.c:1333:called inc_unlock (lock count 0)
summaryview.c:1334:TIMING summary_show : 0s000ms
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
prefs_gtk.c:86:Reading configuration...
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
folderview.c:725:called inc_lock (lock count 1)
folderview.c:726:Setting folder info...
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_cache' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_cache' not found
folder.c:2164:Scanning folder queue for cache changes.
mh.c:293:mh_get_num_list(): Scanning queue ...
current dir: /home/hata_ph/Mail/queue
mh.c:1398:MH: forced mtime of queue to 1389277458
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_mark' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/queue/.claws_mark' not found
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/queue/.claws_tags' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/queue/.claws_tags' not found
folder.c:2722:TIMING folder_item_read_cache : 0s001ms
folder.c:2583:Total cache memory usage: 0
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:752:called inc_unlock (lock count 0)
folderview.c:725:called inc_lock (lock count 1)
folderview.c:726:Setting folder info...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:752:called inc_unlock (lock count 0)
main.c:1373:Claws Mail crashed, checking for new messages in local folders
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folderview.c:1151:called inc_lock (lock count 1)
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1389277458 <= 1389277458)
folder.c:2164:Scanning folder inbox for cache changes.
mh.c:293:mh_get_num_list(): Scanning inbox ...
current dir: /home/hata_ph/Mail/inbox
mh.c:1398:MH: forced mtime of inbox to 1389277458
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_cache' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_cache' not found
folder.c:2164:Scanning folder inbox for cache changes.
mh.c:293:mh_get_num_list(): Scanning inbox ...
mh.c:1398:MH: forced mtime of inbox to 1389277458
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:2250:Remembered message 1 for fetching
msgcache.c:173:Cache size: 1 messages, 273 bytes
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_mark' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/inbox/.claws_mark' not found
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
procmsg.c:2050:Unsetting flags for message 1 in folder inbox
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/inbox/.claws_tags' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/inbox/.claws_tags' not found
folder.c:2722:TIMING folder_item_read_cache : 0s002ms
folder.c:2583:Total cache memory usage: 273
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
mh.c:235:MH scan not required: /home/hata_ph/Mail/sent (1389277458 <= 1389277458)
mh.c:235:MH scan not required: /home/hata_ph/Mail/draft (1389277458 <= 1389277458)
mh.c:235:MH scan not required: /home/hata_ph/Mail/queue (1389277458 <= 1389277458)
mh.c:235:MH scan not required: /home/hata_ph/Mail/trash (1389277458 <= 1389277458)
folderview.c:1224:called inc_unlock (lock count 0)
folder.c:2583:Total cache memory usage: 273
folder.c:2588:Trying to free cache memory
folder.c:2541:Cache unused time: 0 (Expire time: 0)
folder.c:2541:Cache unused time: 0 (Expire time: 0)
prefs_gtk.c:1071:no cache
main.c:1549:TIMING main startup: 0s363ms
folderview.c:2111:newly selected 0x8663890, opened (nil)
folderview.c:2157:Folder inbox is selected
folderview.c:2173:Opening folder inbox...
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1389277458 <= 1389277458)
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:2054:TIMING folder_item_open : 0s000ms
summaryview.c:1044:showing From , must show From 
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1346:Scanning folder (inbox)...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
summaryview.c:1210:TIMING summary_check_consistency : 0s000ms
summaryview.c:1453:TIMING summary_show removing hidden: 0s000ms
summaryview.c:3109:	Setting summary from message data...
procmsg.c:301:TIMING procmsg_get_thread_tree thread by subject: 0s000ms
procmsg.c:311:TIMING procmsg_get_thread_tree : 0s000ms
summaryview.c:3150:TIMING summary_set_ctree_from_list threaded: 0s012ms
summaryview.c:3197:done.
summaryview.c:3200:	msgid hash table size = 0
summaryview.c:3203:	subject hash table size = 0
summaryview.c:2971:Sorting summary...summaryview.c:2985:done.
summaryview.c:2992:TIMING summary_sort : 0s004ms
summaryview.c:3219:TIMING summary_set_ctree_from_list bold_unread: 0s000ms
summaryview.c:3224:TIMING summary_set_ctree_from_list : 0s019ms
summaryview.c:1578:
summaryview.c:1583:called inc_unlock (lock count 0)
summaryview.c:1584:TIMING summary_show : 0s043ms
folder.c:2583:Total cache memory usage: 273
folderview.c:2233:TIMING folderview_selected : 0s049ms
folderview.c:2111:newly selected 0x8663890, opened 0x8663890
folderview.c:2115:TIMING folderview_selected : 0s000ms
folderview.c:2111:newly selected 0x8663890, opened 0x8663890
folderview.c:2115:TIMING folderview_selected : 0s000ms
folderview.c:2111:newly selected 0x8655180, opened 0x8663890
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1321:empty folder ((nil) (null) (nil) 0)

summaryview.c:1333:called inc_unlock (lock count 0)
summaryview.c:1334:TIMING summary_show : 0s014ms
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
procmsg.c:2050:Unsetting flags for message 1 in folder inbox
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1389277458 <= 1389277458)
folder.c:2747:Save cache for folder #mh/Mailbox/inbox
msgcache.c:1176:	Writing message cache to /home/hata_ph/Mail/inbox/.claws_cache.new and /home/hata_ph/Mail/inbox/.claws_mark.new...
msgcache.c:1257:done.
msgcache.c:1258:TIMING msgcache_write : 0s010ms
mh.c:1398:MH: forced mtime of inbox to 1389277699
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1389277699 <= 1389277699)
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
mh.c:1335:wrote unseen sequence: 'unseen: 1'
mh.c:1366:TIMING mh_write_sequences : 0s000ms
mh.c:1398:MH: forced mtime of inbox to 1389277699
folderview.c:2157:Folder sent is selected
folderview.c:2173:Opening folder sent...
mh.c:235:MH scan not required: /home/hata_ph/Mail/sent (1389277458 <= 1389277458)
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/sent/.claws_cache' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/sent/.claws_cache' not found
folder.c:2164:Scanning folder sent for cache changes.
mh.c:293:mh_get_num_list(): Scanning sent ...
current dir: /home/hata_ph/Mail/sent
mh.c:1398:MH: forced mtime of sent to 1389277458
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/sent/.claws_mark' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/Mail/sent/.claws_mark' not found
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/sent/.claws_tags' not found
msgcache.c:431:Mark/Cache file '/home/hata_ph/.claws-mail/tagsdb/#mh/Mailbox/sent/.claws_tags' not found
folder.c:2722:TIMING folder_item_read_cache : 0s002ms
folder.c:2583:Total cache memory usage: 273
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:2054:TIMING folder_item_open : 0s003ms
summaryview.c:1044:showing From , must show  To
summaryview.c:1054:switching columns
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1346:Scanning folder (sent)...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
summaryview.c:1210:TIMING summary_check_consistency : 0s000ms
summaryview.c:1453:TIMING summary_show removing hidden: 0s000ms
summaryview.c:1578:
summaryview.c:1583:called inc_unlock (lock count 0)
summaryview.c:1584:TIMING summary_show : 0s008ms
folder.c:2583:Total cache memory usage: 273
folderview.c:2233:TIMING folderview_selected : 0s049ms
folderview.c:2111:newly selected 0x8655180, opened 0x8655180
folderview.c:2115:TIMING folderview_selected : 0s000ms
folderview.c:2111:newly selected 0x8655180, opened 0x8655180
folderview.c:2115:TIMING folderview_selected : 0s000ms
folderview.c:2111:newly selected 0x8663890, opened 0x8655180
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1321:empty folder ((nil) (null) (nil) 0)

summaryview.c:1333:called inc_unlock (lock count 0)
summaryview.c:1334:TIMING summary_show : 0s006ms
mh.c:235:MH scan not required: /home/hata_ph/Mail/sent (1389277458 <= 1389277458)
folder.c:2747:Save cache for folder #mh/Mailbox/sent
msgcache.c:1176:	Writing message cache to /home/hata_ph/Mail/sent/.claws_cache.new and /home/hata_ph/Mail/sent/.claws_mark.new...
msgcache.c:1257:done.
msgcache.c:1258:TIMING msgcache_write : 0s007ms
mh.c:1398:MH: forced mtime of sent to 1389277700
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
mh.c:235:MH scan not required: /home/hata_ph/Mail/sent (1389277700 <= 1389277700)
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
mh.c:1366:TIMING mh_write_sequences : 0s000ms
mh.c:1398:MH: forced mtime of sent to 1389277700
folderview.c:2157:Folder inbox is selected
folderview.c:2173:Opening folder inbox...
mh.c:235:MH scan not required: /home/hata_ph/Mail/inbox (1389277699 <= 1389277699)
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
folder.c:2054:TIMING folder_item_open : 0s000ms
summaryview.c:1044:showing  To, must show From 
summaryview.c:1054:switching columns
summaryview.c:1248:called inc_lock (lock count 1)
summaryview.c:1346:Scanning folder (inbox)...
msgcache.c:275:TIMING msgcache_get_msg_list : 0s000ms
summaryview.c:1210:TIMING summary_check_consistency : 0s000ms
summaryview.c:1453:TIMING summary_show removing hidden: 0s000ms
summaryview.c:3109:	Setting summary from message data...
procmsg.c:301:TIMING procmsg_get_thread_tree thread by subject: 0s000ms
procmsg.c:311:TIMING procmsg_get_thread_tree : 0s000ms
summaryview.c:3150:TIMING summary_set_ctree_from_list threaded: 0s000ms
summaryview.c:3197:done.
summaryview.c:3200:	msgid hash table size = 0
summaryview.c:3203:	subject hash table size = 0
summaryview.c:2971:Sorting summary...summaryview.c:2985:done.
summaryview.c:2992:TIMING summary_sort : 0s004ms
summaryview.c:3219:TIMING summary_set_ctree_from_list bold_unread: 0s000ms
summaryview.c:3224:TIMING summary_set_ctree_from_list : 0s005ms
summaryview.c:1578:
summaryview.c:1583:called inc_unlock (lock count 0)
summaryview.c:1584:TIMING summary_show : 0s024ms
folder.c:2583:Total cache memory usage: 273
folderview.c:2233:TIMING folderview_selected : 0s048ms
folderview.c:2111:newly selected 0x8663890, opened 0x8663890
folderview.c:2115:TIMING folderview_selected : 0s000ms
folderview.c:2111:newly selected 0x8663890, opened 0x8663890
folderview.c:2115:TIMING folderview_selected : 0s001ms
    message/rfc822 (offset:0 length:2795 encoding: 6)
        text/plain (offset:1272 length:1523 encoding: 6)
procmsg.c:2007:Setting flags for message 1 in folder inbox
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
    message/rfc822 (offset:0 length:2795 encoding: 6)
        text/plain (offset:1272 length:1523 encoding: 6)
textview.c:722:TIMING textview_add_part : 0s000ms
textview.c:1173:Viewing text content of type: plain (length: 1523)
textview.c:828:TIMING textview_add_part : 0s013ms
textview.c:845:TIMING recursive_add_parts : 0s013ms
textview.c:891:TIMING recursive_add_parts : 0s013ms
textview.c:649:TIMING textview_show_part : 0s013ms
summaryview.c:3437:flags: doing unset now
procmsg.c:2050:Unsetting flags for message 1 in folder inbox
folder.c:1225:Counting total number of messages...
main.c:892:The name com.google.code.Awn was not provided by any .service files
summaryview.c:3640:TIMING summary_display_msg_full : 0s043ms
prefs_account.c:3675:Opening account preferences window...
prefs_account.c:3677:called inc_lock (lock count 1)
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
gtkaspell.c:1590:Aspell: found dictionary en en
gtkaspell.c:1590:Aspell: found dictionary en_CA en_CA
gtkaspell.c:1590:Aspell: found dictionary en_GB en_GB
gtkaspell.c:1590:Aspell: found dictionary en_US en_US
prefswindow.c:703:0.000000
prefswindow.c:177:prefs window closed
prefs_account.c:3699:called inc_unlock (lock count 0)

Program received signal SIGSEGV, Segmentation fault.
0xb67fc75a in gtk_widget_grab_focus () from /usr/lib/libgtk-x11-2.0.so.0
(gdb)
Comment 3 Paul 2014-07-28 09:53:21 CEST
appears that it should be fixed by upgrading to GTK+ 2.24.22 or newer.
Re-open if you still get this problem after the GTK+ upgrade.

Note You need to log in before you can comment on or make changes to this bug.